Macaulay2 » Documentation
Packages » Macaulay2Doc » homological algebra » isIsomorphism
next | previous | forward | backward | up | index | toc

# isIsomorphism -- whether a map is an isomorphism

- Usage:
    `isIsomorphism f`

## Description

Whether the map $f$ is an isomorphism.

## See also

- isIsomorphism(RationalMap) -- whether a birational map is an isomorphism
- isIsomorphism(LieAlgebraMap) -- whether a Lie map is an isomorphism
- isIsomorphism(MultirationalMap) -- whether a birational map is an isomorphism
- isIsomorphism(SheafMap) (missing documentation)

## Ways to use isIsomorphism:

- `isIsomorphism(Matrix)`

## For the programmer

The object isIsomorphism is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/shared.m2:69:0.